## python-openleadr-python 0.5.34+dfsg.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= ../python_env/bin/sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-openleadr-python (0.5.34+dfsg.1-2) unstable; urgency=low

  * Add debian/tests/pkg-python/import-name: fix autopkgtest failure.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 30 Mar 2025 18:57:12 +0100

python-openleadr-python (0.5.34+dfsg.1-1) unstable; urgency=low

  * Initial release. (Closes: #1082982)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 29 Sep 2024 22:24:08 +0800

=== debian/control ===
Source: python-openleadr-python
Section: python
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               iso-codes,
               pandoc,
               python3-aiohttp,
               python3-all,
               python3-apscheduler,
               python3-jinja2,
               python3-pytest-asyncio,
               python3-setuptools,
               python3-signxml,
               python3-sphinx,
               python3-sphinxcontrib.apidoc,
               python3-termcolor,
               python3-xmltodict
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/OpenLEADR/openleadr-python

Package: python3-openleadr-python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-openleadr-python-doc
Description: Python 3 module for OpenADR systems (Python 3)
 OpenLEADR is a Python 3 module that provides a convenient interface to
 OpenADR systems. It contains an OpenADR Client that you can use to talk to
 other OpenADR systems, and it contains an OpenADR Server (VTN) with
 convenient integration possibilities.
 .
 It currently implements the OpenADR 2.0b specification.
 .
 This package installs the library for Python 3.

Package: python-openleadr-python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python 3 module for OpenADR systems (common documentation)
 OpenLEADR is a Python 3 module that provides a convenient interface to
 OpenADR systems. It contains an OpenADR Client that you can use to talk to
 other OpenADR systems, and it contains an OpenADR Server (VTN) with
 convenient integration possibilities.
 .
 It currently implements the OpenADR 2.0b specification.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=openleadr-python

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_before_dh_auto_build-indep:
	./debian/generate_4217_xsd.py
	mv -f $(CURDIR)/oadr_ISO_ISO3AlphaCurrencyCode_20100407.xsd $(CURDIR)/openleadr/schema/oadr_ISO_ISO3AlphaCurrencyCode_20100407.xsd
	./debian/generate_SI_unit.py
	mv -f $(CURDIR)/oadr_siscale_20b.xsd $(CURDIR)/openleadr/schema/oadr_siscale_20b.xsd

# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: openleadr-fingerprint.1
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	docs/ build/man # Manpage generator

execute_before_dh_auto_test-indep:
	find $(CURDIR)/.pybuild -name 'cpython*_openleadr-python' -exec cp -rf $(CURDIR)/certificates {}/build/ \;

execute_after_dh_auto_test-indep:
	rm -rf $(CURDIR)/.pybuild/cpython*_openleadr-python/build/

execute_after_dh_auto_install-indep:
	mv $(CURDIR)/debian/python3-openleadr-python/usr/bin/fingerprint $(CURDIR)/debian/python3-openleadr-python/usr/bin/openleadr-fingerprint

openleadr-fingerprint.1: debian/openleadr-fingerprint.md
	pandoc --standalone --from=markdown --to=man $< --output=$@

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="dversionmangle=auto,repacksuffix=+dfsg.1,filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/OpenLEADR/openleadr-python/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
